We help IT Professionals succeed at work.

Msado.dll reference missing

pdvsa
pdvsa asked
on
Experts, i have an error due to this missing reference.  How do i add msado.dll version 6?

Thank you
Comment
Watch Question

pdvsaProject finance

Author

Commented:
Hi, it seems to not be supported by win xp?  It is not listed as a supported OS.  

Thank you
' It is not listed as a supported OS'

That's just an oversight in the article.
msado15.dll is on every Windows  O/S up to and including win7.
Scott McDaniel (EE MVE )Infotrakker Software
Most Valuable Expert 2012
Top Expert 2014

Commented:
msado15.dll is also part of MDAC, and you should NOT attempt to register bits and pieces of that but instead you should install the full MDAC package. als315 has provided you a link, but make sure you're re-installing the correct version first. There are several and while they can co-exist on the same machine, if you don't install the right version you won't fix your issue.
pdvsaProject finance

Author

Commented:
Ok thank you.   I have not tried to install yet. Been reading some articles about this and apparently if i have Win XP SP2 installes then i already have a newer versin of MDAC and wont be able to install 2.82 link provided above but instead will have to repair 2.81.  
---------
From:  http://www.macropool.com/en/download/mdac_xp_sp2.html

Windows XP with Service Pack 2 contains MDAC version 2.81, which is currently not available for download at the Microsoft Web site as a standalone installation. If you try to install MDAC 2.8, which is the latest available standalone download of MDAC, you will receive a message that you already have a newer version of MDAC installed. Therefore, under Windows XP SP2, you must manually repair MDAC 2.81 as outlined below.

Scott McDaniel (EE MVE )Infotrakker Software
Most Valuable Expert 2012
Top Expert 2014

Commented:
I don't know anything about MacroPool. I would strongly urge you to validate the information you're getting through verified sources (i.e. Microsoft, Technet, MSDN etc) before mucking around with MDAC. MDAC is used extensively throughout Windows, and an incorrect fix will cause you no end of grief.

Here's the official MS word on the matter. Looks very close to what your link states, but please verify before trying your repair.
http://support.microsoft.com/kb/899861

You might also run CompChecker to see what it reports:
http://www.microsoft.com/downloads/details.aspx?familyid=8f0a8df6-4a21-4b43-bf53-14332ef092c9&displaylang=en
Top Expert 2016
Commented:
try this,
uncheck that MISSING reference.

select the highest version of Microsoft activex data object x.x library

if i am not mistaken it is version 2.8
Scott McDaniel (EE MVE )Infotrakker Software
Most Valuable Expert 2012
Top Expert 2014

Commented:
If you must deploy this to other users, you might be better off checking the lowest reference that still gives you all the features you need. Like other references, VBA cannot go "down" the reference list for MDAC, but it can go "up". So if you check 2.8 but your users have only 2.6 installed, you'll end up with a reference error on that end user machine. In most cases, unless you use some of the advanced features of MDAC you can safely check a much older version and your end user machines will remake that reference to the currently installed MDAC version.

Of course, if you don't have to deply this, then Cap's suggestion would be valid.
pdvsaProject finance

Author

Commented:
Ok i will give this a shot in the am (comp battery is dead).  

Thank you
Top Expert 2016

Commented:
the idea of checking the highest version, is to check that you will not get the error that you are getting now.
if by doing so and it resolve your problem, then of course the suggestion  is VALID.
pdvsaProject finance

Author

Commented:
Capricorn's solution solved my issue but I was not able to test the others as I am on a computer with security and was not able to download and install from the link.  

thank you experts!
Scott McDaniel (EE MVE )Infotrakker Software
Most Valuable Expert 2012
Top Expert 2014

Commented:
<if by doing so and it resolve your problem, then of course the suggestion  is VALID.>

Yes, as I said earlier, if you're not deploying this then your suggestion is valid.

If the author is moving this app to another machine then it won't work IF that machine doesn't have the same version. That was the point of my suggestion.